[android-components](../../../index.md) / [mozilla.components.feature.sitepermissions](../../index.md) / [SitePermissionsRules](../index.md) / [Action](./index.md)

# Action

`enum class Action` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sitepermissions/src/main/java/mozilla/components/feature/sitepermissions/SitePermissionsRules.kt#L21)

### Enum Values

| Name | Summary |
|---|---|
| [BLOCKED](-b-l-o-c-k-e-d.md) |  |
| [ASK_TO_ALLOW](-a-s-k_-t-o_-a-l-l-o-w.md) |  |

### Functions

| Name | Summary |
|---|---|
| [toStatus](to-status.md) | `fun toStatus(): `[`Status`](../../-site-permissions/-status/index.md) |
